Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.cms
Class AbstractCMSSignatureService

    java.lang.Object
      be.fedict.eid.applet.service.signer.cms.AbstractCMSSignatureService

All Implemented Interfaces:
  SignatureService

    public abstract class AbstractCMSSignatureService

extends Object
implements SignatureService

Abstract CMS Signature Service class. The content and signing certificate are included in the CMS signature.

Author:
  Frank Cornelis

Constructor Summary
`AbstractCMSSignatureService()`

Method Summary
`String` | `getFilesDigestAlgorithm()`
`protected abstract String` | `getSignatureDescription()`
`protected abstract byte[]` | `getToBeSigned()`
`void` | `postSign(byte[] signatureValue, List<X509Certificate> signingCertificateChain)`
`DigestInfo` | `preSign(List<DigestInfo> digestInfos, List<X509Certificate> signingCertificateChain)`
`protected abstract void` | `storeCMSSignature(byte[] cmsSignature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCMSSignatureService

    public AbstractCMSSignatureService()

Method Detail

### getFilesDigestAlgorithm

    public String getFilesDigestAlgorithm()

  Specified by:
    `getFilesDigestAlgorithm` in interface `SignatureService`

### preSign

    public DigestInfo preSign(List<DigestInfo> digestInfos,
                              List<X509Certificate> signingCertificateChain)
                       throws NoSuchAlgorithmException

  Specified by:
    `preSign` in interface `SignatureService`
  Throws:
    `NoSuchAlgorithmException`

### postSign

    public void postSign(byte[] signatureValue,
                         List<X509Certificate> signingCertificateChain)

  Specified by:
    `postSign` in interface `SignatureService`

### getToBeSigned

    protected abstract byte[] getToBeSigned()

### getSignatureDescription

    protected abstract String getSignatureDescription()

### storeCMSSignature

    protected abstract void storeCMSSignature(byte[] cmsSignature)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 FedICT. All Rights Reserved.